<!--The whole content below can be removed with the new code.-->
<div style="text-align:center">
  <h1>
    Welcome to {{title}}!!
  </h1>
</div>
<h2>Authenticate a user and display any OAuth2.0 claims returned:: </h2>
    <div>
        <div id="label">Sign-in with Microsoft Azure AD B2C</div>
        <button id="auth" onclick="login()">Login</button>
    </div>

    <!-- bluebird only needed if this page needs to run on Internet Explorer -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bluebird/3.3.4/bluebird.min.js" class="pre"></script>
    <script src="https://secure.aadcdn.microsoftonline-p.com/lib/0.1.1/js/msal.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js" class="pre"></script>
    <pre class="response"></pre>

    <script class="pre">
        // The current application coordinates were pre-registered in a B2C tenant.
        var applicationConfig = {
            clientID: 'ff9d7caf-df37-4a1f-974a-d06e7ee3e8d5',
            authority: "https://login.microsoftonline.com/tfp/PercyBearB2CApp.onmicrosoft.com/b2c_1_susi",
            b2cScopes: ["https://hellopercy.azurewebsites.net/demoapi"]
        };
    </script>

    <script>
        "use strict";
        var clientApplication = new Msal.UserAgentApplication(applicationConfig.clientID, applicationConfig.authority, function (errorDesc, token, error, tokenType) {
            // Called after loginRedirect or acquireTokenPopup
        });

        function login() {
            clientApplication.loginPopup(applicationConfig.b2cScopes).then(function (idToken) {
                clientApplication.acquireTokenSilent(applicationConfig.b2cScopes).then(function (accessToken) {
                    updateUI();
                }, function (error) {
                    clientApplication.acquireTokenPopup(applicationConfig.b2cScopes).then(function (accessToken) {
                        updateUI();
                    }, function (error) {
                        logMessage("Error acquiring the popup:\n" + error);
                    });
                })
            }, function (error) {
                logMessage("Error during login:\n" + error);
            });
        }

        function updateUI() {
            var userName = clientApplication.getUser().name;
            logMessage("User '" + userName + "' logged-in");
            var authButton = document.getElementById('auth');
            authButton.innerHTML = 'logout';
            authButton.setAttribute('onclick', 'logout();');
            var label = document.getElementById('label');
            label.innerText = "Hello " + userName;
        }


        function logout() {
            // Removes all sessions, need to call AAD endpoint to do full logout
            clientApplication.logout();
        }

        function logMessage(s) {
            document.body.querySelector('.response').appendChild(document.createTextNode('\n' + s));
        }

    </script>
